OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_Shell Class Reference

`#include <StepShape_Shell.hxx>`

Inheritance diagram for StepShape_Shell:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_Shell ()
| Returns a Shell SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a Shell Kind Entity that is : 1 -> OpenShell 2 -> ClosedShell 0 else .
Standard_EXPORT Handle_StepShape_OpenShell | OpenShell () const
| returns Value as a OpenShell (Null if another type)
Standard_EXPORT Handle_StepShape_ClosedShell | ClosedShell () const
| returns Value as a ClosedShell (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_Shell::StepShape_Shell | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepShape_Shell::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepShape_ClosedShell StepShape_Shell::ClosedShell | ( |  | ) | const

Standard_EXPORT Handle_StepShape_OpenShell StepShape_Shell::OpenShell | ( |  | ) | const

void StepShape_Shell::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_Shell::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_Shell::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

The documentation for this class was generated from the following file:

- StepShape_Shell.hxx